# PSF-LoginServer - master - net.psforever.objects.definition.SpecialExoSuitDefinition
PSF - LoginServer - master - net.psforever.objects.definition.SpecialExoSuitDefinition
Keywords: PSF LoginServer master net.psforever.objects.definition.SpecialExoSuitDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package definition
  Definition Classes
    objects
-  package converter
  Definition Classes
    definition
- AmmoBoxDefinition
- AvatarDefinition
- BaseDeployableDefinition
- BasicDefinition
- CargoDefinition
- ConstructionFireMode
- ConstructionItemDefinition
- DeployAnimation
- DeployableDefinition
- EquipmentDefinition
- ExoSuitDefinition
- ImplantDefinition
- KitDefinition
- ObjectDefinition
- ProjectileDefinition
- SimpleItemDefinition
- SpecialExoSuitDefinition
- ToolDefinition
- VehicleDefinition

c

net.psforever.objects.definition

# SpecialExoSuitDefinition 

###
Companion object SpecialExoSuitDefinition

#### class SpecialExoSuitDefinition extends ExoSuitDefinition

Source
  ExoSuitDefinition.scala

Linear Supertypes
ExoSuitDefinition, DamageResistanceModel, DamageAndResistance, ResistanceProfileMutators, ResistanceProfile, BasicDefinition, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SpecialExoSuitDefinition
2. ExoSuitDefinition
3. DamageResistanceModel
4. DamageAndResistance
5. ResistanceProfileMutators
6. ResistanceProfile
7. BasicDefinition
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SpecialExoSuitDefinition(suitType: types.ExoSuitType.Value)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CapacitorDrainPerSecond: Int
   Definition Classes
     ExoSuitDefinition
5.  def CapacitorDrainPerSecond_=(value: Int): Int
   Definition Classes
     ExoSuitDefinition
6.  def CapacitorRechargeDelayMillis: Int
   Definition Classes
     ExoSuitDefinition
7.  def CapacitorRechargeDelayMillis_=(value: Int): Int
   Definition Classes
     ExoSuitDefinition
8.  def CapacitorRechargePerSecond: Int
   Definition Classes
     ExoSuitDefinition
9.  def CapacitorRechargePerSecond_=(value: Int): Int
   Definition Classes
     ExoSuitDefinition
10.  def DamageUsing: Selector
    Definition Classes
      DamageResistanceModel → DamageAndResistance
11.  def DamageUsing_=(selector: Selector): Selector
    Definition Classes
      DamageResistanceModel
12.  def Descriptor: String
    Definition Classes
      BasicDefinition
13.  def Descriptor_=(description: Option[String]): String
    Definition Classes
      BasicDefinition
14.  def Descriptor_=(description: String): String
    Definition Classes
      BasicDefinition
15.  def Holster(slot: Int, value: equipment.EquipmentSize.Value): equipment.EquipmentSize.Value
    Definition Classes
      ExoSuitDefinition
16.  def Holster(slot: Int): equipment.EquipmentSize.Value
    Definition Classes
      ExoSuitDefinition
17.  def Holsters: Array[equipment.EquipmentSize.Value]
    Definition Classes
      ExoSuitDefinition
18.  def InventoryOffset: Int
    Definition Classes
      ExoSuitDefinition
19.  def InventoryOffset_=(offset: Int): Int
    Definition Classes
      ExoSuitDefinition
20.  def InventoryScale: InventoryTile
    Definition Classes
      ExoSuitDefinition
21.  def InventoryScale_=(scale: InventoryTile): InventoryTile
    Definition Classes
      ExoSuitDefinition
22.  def MaxArmor: Int
    Definition Classes
      ExoSuitDefinition
23.  def MaxArmor_=(armor: Int): Int
    Definition Classes
      ExoSuitDefinition
24.  def MaxCapacitor: Int
    Definition Classes
      ExoSuitDefinition
25.  def MaxCapacitor_=(value: Int): Int
    Definition Classes
      ExoSuitDefinition
26.  def Model: Form
    Definition Classes
      DamageResistanceModel → DamageAndResistance
27.  def Model_=(selector: Form): Form
    Definition Classes
      DamageResistanceModel
28.  def Name: String
    Definition Classes
      BasicDefinition
29.  def Name_=(name: String): String
    Definition Classes
      BasicDefinition
30.  def Permissions: List[Certification]
    Definition Classes
      ExoSuitDefinition
31.  def Permissions_=(certs: List[Certification]): List[Certification]
    Definition Classes
      ExoSuitDefinition
32.  def RadiationShielding: Float
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
33.  def RadiationShielding_=(resist: Float): Float
    Definition Classes
      ResistanceProfileMutators
34.  def Resist(dtype: vital.base.DamageType.Value): Float
    Definition Classes
      ResistanceProfile
35.  def ResistUsing: ResistanceSelection
    Definition Classes
      DamageResistanceModel → DamageAndResistance
36.  def ResistUsing_=(selector: ResistanceSelection): ResistanceSelection
    Definition Classes
      DamageResistanceModel
37.  def ResistanceAggravated: Int
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
38.  def ResistanceAggravated_=(resist: Int): Int
    Definition Classes
      ResistanceProfileMutators
39.  def ResistanceDirectHit: Int
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
40.  def ResistanceDirectHit_=(resist: Int): Int
    Definition Classes
      ResistanceProfileMutators
41.  def ResistanceSplash: Int
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
42.  def ResistanceSplash_=(resist: Int): Int
    Definition Classes
      ResistanceProfileMutators
43.  def Subtract: DamageProfile
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
44.  def SuitType: types.ExoSuitType.Value
    Definition Classes
      ExoSuitDefinition
45.  def Use: ExoSuitDefinition
    Definition Classes
      SpecialExoSuitDefinition → ExoSuitDefinition
46.  def UsingSpecial: SpecialExoSuitDefinition.Mode.Value
47.  def UsingSpecial_=(state: SpecialExoSuitDefinition.Mode.Value): SpecialExoSuitDefinition.Mode.Value
48.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
49.  def calculate(data: DamageInteraction, resolution: vital.base.DamageType.Value): Output

    Magic stuff.

    Magic stuff.

    data

      the historical damage information

    resolution

      an explicit damage resolution overriding the one provided

    returns

      a function literal that encapsulates delayed modification instructions for certain objects

    Definition Classes
      DamageResistanceModel → DamageAndResistance
50.  def calculate(data: DamageInteraction): Output

    Magic stuff.

    Magic stuff.

    data

      the historical damage information

    returns

      a function literal that encapsulates delayed modification instructions for certain objects

    Definition Classes
      DamageResistanceModel → DamageAndResistance
51.  var capacitorDrainPerSecond: Int
    Attributes
      protected
    Definition Classes
      ExoSuitDefinition
52.  var capacitorRechargeDelayMillis: Int
    Attributes
      protected
    Definition Classes
      ExoSuitDefinition
53.  var capacitorRechargePerSecond: Int
    Attributes
      protected
    Definition Classes
      ExoSuitDefinition
54.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
55.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
56.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
57.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
58.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
59.  def hashCode(): Int
    Definition Classes
      ExoSuitDefinition → AnyRef → Any
60.  val holsters: Array[equipment.EquipmentSize.Value]
    Attributes
      protected
    Definition Classes
      ExoSuitDefinition
61.  var inventoryOffset: Int
    Attributes
      protected
    Definition Classes
      ExoSuitDefinition
62.  var inventoryScale: InventoryTile
    Attributes
      protected
    Definition Classes
      ExoSuitDefinition
63.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
64.  var maxArmor: Int
    Attributes
      protected
    Definition Classes
      ExoSuitDefinition
65.  var maxCapacitor: Int
    Attributes
      protected
    Definition Classes
      ExoSuitDefinition
66.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
67.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
68.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
69.  var permissions: List[Certification]
    Attributes
      protected
    Definition Classes
      ExoSuitDefinition
70.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
71.  def toString(): String
    Definition Classes
      AnyRef → Any
72.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
73.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
74.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from ExoSuitDefinition

### Inherited from DamageResistanceModel

### Inherited from DamageAndResistance

### Inherited from ResistanceProfileMutators

### Inherited from ResistanceProfile

### Inherited from BasicDefinition

### Inherited from AnyRef

### Inherited from Any

### Ungrouped